ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.CmmToAsm.Ppr

Synopsis

- doubleToBytes :: Double -> [Word8]
- floatToBytes :: Float -> [Word8]
- pprASCII :: forall doc. IsLine doc => ByteString -> doc
- pprString :: IsLine doc => ByteString -> doc
- pprFileEmbed :: IsLine doc => FilePath -> doc
- pprSectionHeader :: IsLine doc => NCGConfig -> Section -> doc

# Documentation

doubleToBytes :: Double -> [Word8] Source #

Get bytes of a Double representation

floatToBytes :: Float -> [Word8] Source #

Get bytes of a Float representation

pprASCII :: forall doc. IsLine doc => ByteString -> doc Source #

pprString :: IsLine doc => ByteString -> doc Source #

Emit a ".string" directive

pprFileEmbed :: IsLine doc => FilePath -> doc Source #

Emit a ".incbin" directive

A NULL byte is added after the binary data.

pprSectionHeader :: IsLine doc => NCGConfig -> Section -> doc Source #